Subject: Re: many sockets, slow sendto

From: Eric Dumazet <[email-masked]>
Date: Wed, 21 Mar 2007 23:24:16 +0100

Zacco a écrit :
> Actually, the source address would be more important in my case, as my 
> clients (each with different IP address) wants to connect to the same 
> server, i.e. to the same address and port.

I dont understand why you need many sockets then.

A single socket should be enough.

> I think, the current design is fair enough for server implementations 
> and for regular clients. But even though my application is not tipical, 
> as far as I know (but it can be important with the fast performance 
> growth of regular PCs), the make-up should be general enough to cope 
> with special circumstances, like mine. My initial idea was to somehow 
> include the complete socket pair, i.e. source address:port and 
> destination address:port, keeping in mind that it should work for both 
> IPv4 and IPv6. Maybe it's an overkill, I don't know.

Could you send me a copy of your application source, or detailed specs, 
because I am confused right now...